### Class

# Foundry CompileCommands

#### Description

    final class Foundry.CompileCommands : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_compile_commands_new

Creates a new `FoundryCompileCommands` object containing the parsed values from a compile_commands.json file.

#### Instance methods

###### foundry_compile_commands_lookup

Locates the commands to compile the `file` requested.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCompileCommandsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.